<?php

/*
 * phpPlatonLib - Platon software development group PHP library
 *
 * common/url/fnc.get_path_without_scriptname.php - return passed
 * path without scriptname; function also accept array returned
 * from glue_url() function
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 * Copyright (c) 2001-2002 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/phpPlatonLib/
 */

/* $Id: fnc.get_path_without_scriptname.php,v 1.3 2002/07/21 22:41:26 nepto Exp $ */

if (! defined('phpPlatonLib_fnc_get_path_without_scriptname')) {
	define('phpPlatonLib_fnc_get_path_without_scriptname', 1);

	function get_path_without_scriptname($url)
	{
		$path = is_array($url) ? $url['path'] : $url;

		$path = preg_replace('/http[s]?:\/\/[^\/]+/', '', $path);
		$path = preg_replace('/\?.*/', '', $path);
		$path = preg_replace('/[^\/]+\z/', '', $path);

		return $path;
	}

}

?>
